Bug Hunting Session
Bug 103495 - Space between Arabic/Hebrew word missing in textboxes when sentence begins with English word
Summary: Space between Arabic/Hebrew word missing in textboxes when sentence begins wi...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL RTL-Textbox
  Show dependency treegraph
 
Reported: 2016-10-25 12:59 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-09-30 15:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
document vs textbox (20.26 KB, image/png)
2016-10-25 12:59 UTC, Yousuf Philips (jay) (retired)
Details
document vs textbox 2 (60.78 KB, image/png)
2017-10-02 18:10 UTC, Yousuf Philips (jay) (retired)
Details
space displayed in wrong location (11.60 KB, application/vnd.oasis.opendocument.text)
2017-10-02 21:18 UTC, Lior Kaplan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-25 12:59:55 UTC
Created attachment 128246 [details]
document vs textbox

Steps:
1) Open attachment 128245 [details]
2) Notice there is a clear space before يوسف and اللة in the document, but no visible space in the textbox

Version: 5.3.0.0.alpha1+
Build ID: 928776b734c6aa188151bbce048d5bef4486dce7
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-23_00:39:08
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2016-10-25 13:45:32 UTC
Confirmed in 

Version: 5.3.0.0.alpha0+
Build ID: 8974b0fafb18f9dd3f2c0e175a3255b80e4c249e
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Yousuf Philips (jay) (retired) 2017-10-02 18:10:34 UTC
Created attachment 136705 [details]
document vs textbox 2
Comment 3 Yousuf Philips (jay) (retired) 2017-10-02 18:19:38 UTC
still present.

Version: 6.0.0.0.alpha0+
Build ID: a2a3e06a29077d4274dc15eea28a01afe22e3658
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 Lior Kaplan 2017-10-02 20:57:12 UTC
Also happens with Hebrew (checked version 5.4.1).

Noticed that changing property of that space (e.g. applying a font color on it) makes the display to jump into the expected one (space between the English word and the Arabic/Hebrew one).
Comment 5 Lior Kaplan 2017-10-02 21:18:37 UTC
Created attachment 136714 [details]
space displayed in wrong location
Comment 6 Mark Hung 2018-03-03 05:34:40 UTC
Please check with latest master build. Possibly fixed with the following commit:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e85aa0cc8b306c2f5ca6240b99e1704f772dbebb

tdf#60533 invoke ubidi_setPara with correct paraLevel parameter.

It will be available in 6.1.0.
Comment 7 Mark Hung 2018-04-28 13:17:17 UTC
Verified in 
Version: 6.1.0.0.alpha1
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 8 Yousuf Philips (jay) (retired) 2018-05-02 11:08:24 UTC
Still broken on master 30th April build.

Version: 6.1.0.0.alpha1+
Build ID: 25c0988b87b71f93577837f4a300f5f17366d145
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 9 Lior Kaplan 2018-09-30 15:32:26 UTC
Verified fix in 

Version: 6.1.1.2
Build ID: 1:6.1.1-1
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group threaded